<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY libshumate-download-http "&gnome-download-http;/libshumate/1.3/libshumate-&libshumate-version;.tar.xz">
  <!ENTITY libshumate-download-ftp  " ">
  <!ENTITY libshumate-md5sum        "3dea93dd98cd2665b7ad69b1f65f33cb">
  <!ENTITY libshumate-size          "5.6 MB">
  <!ENTITY libshumate-buildsize     "15 MB">
  <!ENTITY libshumate-time          "0.2 SBU">
]>

<sect1 id="libshumate" xreflabel="libshumate-&libshumate-version;">
  <?dbhtml filename="libshumate.html"?>

  <title>libshumate-&libshumate-version;</title>

  <indexterm zone="libshumate">
    <primary sortas="a-libshumate">libshumate</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to libshumate</title>

    <para>
      The <application>libshumate</application> package contains a GTK-4 widget
      to display maps.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&libshumate-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&libshumate-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &libshumate-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &libshumate-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &libshumate-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &libshumate-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">libshumate Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="gtk4"/>,
      <xref linkend="libsoup3"/>, and
      <xref linkend="protobuf-c"/>
    </para>

    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      &gobject-introspection; (required for gnome-maps)
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="gi-docgen"/>,
      <xref linkend="valgrind"/>, and
      <ulink url="&sysprof-url;">sysprof</ulink>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of libshumate</title>

    <para>
      Install <application>libshumate</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup --prefix=/usr          \
            --buildtype=release    \
            --wrap-mode=nodownload \
            -D gtk_doc=false       \
            ..                     &amp;&amp;
ninja</userinput></screen>

    <para>
      If you have <xref linkend='gi-docgen'/> installed and wish to build
      the API documentation for this package, issue:
    </para>

<screen remap='doc'><userinput>sed -e 's/lib_version/version/' \
    -i ../docs/meson.build      &amp;&amp;
meson configure -D gtk_doc=true &amp;&amp;
ninja</userinput></screen>

    <para>
      To test the results, issue: <command>ninja test</command>.
    </para>

<!--
    <para>
      The test suite requires this package to be built with special options.
      If you wish to run the tests, follow the instructions after installation.
    </para>
-->

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>ninja install</userinput></screen>

<!--
    <para>
      If you wish to run the tests, issue:
    </para>

<screen><userinput>meson configure - -buildtype=debug &amp;&amp;
ninja test</userinput></screen>
-->

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/meson-buildtype-release.xml"/>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/meson-wrap-nodownload.xml"/>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          None
        </seg>
        <seg>
          libshumate-1.0.so
        </seg>
        <seg>
          /usr/include/shumate-1.0 and
          /usr/share/doc/libshumate-&libshumate-version; (optional)
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="libshumate-1.0">
        <term><filename class="libraryfile">libshumate-1.0.so</filename></term>
        <listitem>
          <para>
            contains functions that provide a GTK-4 widget to display maps
          </para>
          <indexterm zone="libshumate libshumate-1.0">
            <primary sortas="c-libshumate-1.0">libshumate-1.0.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>
    </variablelist>
  </sect2>
</sect1>
